﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApp.Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            // Show Ajax Loading Panel while loading the page
            function pageLoad(sender, eventArgs) {
                if (!eventArgs.get_isPartialLoad()) {
                    $find("<%= radAjaxManager.ClientID %>").ajaxRequest("InitialPageLoad");
                }
            }
        </script>
    </telerik:RadCodeBlock>
</head>
<body class="BODY">
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <telerik:RadAjaxManager ID="radAjaxManager" runat="server" DefaultLoadingPanelID="radAjaxLoadingPanel" OnAjaxRequest="radAjaxManager_AjaxRequest">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="radAjaxManager">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="radAjaxManager" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <!-- Ajax Loading Panel: Takes entire page and image center on it -->
        <telerik:RadAjaxLoadingPanel ID="radAjaxLoadingPanel" runat="server" IsSticky="True" Style="height: 100%; width: 100%;">
        </telerik:RadAjaxLoadingPanel>
        <div class="bigModule">
            <div class="bigModuleBottom">
                <div class="title">
                    To test the Zooming and Scrolling capabilities on this demo:</div>
                <ul>
                    <li>Zoom to a portion of the chart by dragging and selecting with the mouse a rectangle&nbsp;to
                        set a new scale for the chart. AJAX retrieves the visible "chunk" of the chart that
                        was selected. You can&nbsp;navigate the chart by scrolling and new image "chunks"
                        are requested on-the-fly.</li>
                        <li>You can also use stand-alone scrolling&nbsp;by explicitly&nbsp;setting EnableZoom="false".&nbsp;You
                            can still provide XScale and YScale factor values on the server-side.</li>
                </ul>
            </div>
        </div>
        <div class="module">
            <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <telerik:RadChart ID="RadChart1" runat="Server" Width="495px" AutoLayout="true" Skin="Mac">
                        <ClientSettings ScrollMode="Both" />
                        <Series>
                            <telerik:ChartSeries DataYColumn="MyColumn" Type="Line">
                            </telerik:ChartSeries>
                        </Series>
                        <Legend Visible="false"></Legend>
                        <ChartTitle TextBlock-Text="Zooming / Scrolling (no initial scaling)">
                        </ChartTitle>
                    </telerik:RadChart>
                </ContentTemplate>
            </asp:UpdatePanel>
            <br />
            <br />
            <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <telerik:RadChart ID="RadChart2" runat="Server" Width="495px" AutoLayout="true" Skin="Mac">
                        <ClientSettings EnableZoom="false" ScrollMode="XOnly" XScale="4" />
                        <Series>
                            <telerik:ChartSeries DataYColumn="MyColumn" Type="Line">
                                <Appearance FillStyle-MainColor="223, 87, 60">
                                </Appearance>
                            </telerik:ChartSeries>
                        </Series>
                        <Legend Visible="false"></Legend>
                        <ChartTitle TextBlock-Text="Scrolling only (initial XScale applied)">
                        </ChartTitle>
                    </telerik:RadChart>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
    </form>
</body>
</html>
